Bug 487669 - incorrect swap size - broken autopartitioning code
incorrect swap size - broken autopartitioning code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraServerTracker
  Show dependency treegraph
 
Reported: 2009-02-27 06:46 EST by Daniel Mach
Modified: 2009-06-08 10:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 10:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2009-02-27 06:46:30 EST
How to reproduce:
- create a VM with a 10G disk, 768M RAM
- boot install media
- create primary partition: /, 9500M
- create primary partition: swap, fill up to maximum size

Results:
An approx. 500M swap is created.
200M remains unallocated.

Quite funny is when you edit the swap size and set:
- fill all space up to: 999M (which is less than 500+200)
Then anaconda hangs for few minutes and switches swap partition with free space:
- swap size changes to 200M
- free space changes to 500M

Please reconsider this autopartitioning magic.
It's definitely useful when a user want's to create layout automatically.
But when he wants to create custom layout, these limits are annoying.

For example, memory of my virtual machine is limited and I *really* want to create larger swap space than usual.
Comment 1 Daniel Mach 2009-02-27 07:08:13 EST
edit:
- fill all space up to: 999M (which is less than 500+200)
should be:
- fill all space up to: 999M (which is *more* than 500+200)
Comment 2 Chris Lumens 2009-03-12 14:27:14 EDT
We've made significant changes to the partitioning code.  Please give it a try in the latest rawhide and see if you continue to hit this problem.  Thanks.
Comment 3 Daniel Mach 2009-06-08 10:38:21 EDT
I didn't hit this problem last time I installed rawhide.
Let's close this bug.

Note You need to log in before you can comment on or make changes to this bug.